Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionCellMove

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionCellMove

public class RevisionCellMove extends Object
The Class RevisionCellMove.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionCellMove()`
  Instantiates a new revision cell move.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionCellMove`
  `clone()`
  `String`
  `getDestination()`
  Gets the destination.
  `List<RevisionCellChange>`
  `getRevisionCellChanges()`
  Gets the revision cell changes.
  `List<RevisionFormat>`
  `getRevisionFormats()`
  Gets the revision formats.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `String`
  `getSource()`
  Gets the source.
  `int`
  `getSourceSheetID()`
  Gets the source sheet id.
  `List<Undo>`
  `getUndos()`
  Gets the undos.
  `boolean`
  `isRevisionFromRejection()`
  Checks if is revision from rejection.
  `boolean`
  `isRevisionUndoRejected()`
  Checks if is revision undo rejected.
  `void`
  `setDestination​(String destination)`
  Sets the destination.
  `void`
  `setRevisionFromRejection​(boolean revisionFromRejection)`
  Sets the revision from rejection.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setRevisionUndoRejected​(boolean revisionUndoRejected)`
  Sets the revision undo rejected.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `void`
  `setSource​(String source)`
  Sets the source.
  `void`
  `setSourceSheetID​(int sourceSheetID)`
  Sets the source sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionCellMove

    public RevisionCellMove()
    Instantiates a new revision cell move.

- ## Method Details

  - ### clone

    public RevisionCellMove clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getUndos

    public List<Undo> getUndos()
    Gets the undos.
    Returns:
      the undos

  - ### getRevisionCellChanges

    public List<RevisionCellChange> getRevisionCellChanges()
    Gets the revision cell changes.
    Returns:
      the revision cell changes

  - ### getRevisionFormats

    public List<RevisionFormat> getRevisionFormats()
    Gets the revision formats.
    Returns:
      the revision formats

  - ### getSource

    public String getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(String source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getDestination

    public String getDestination()
    Gets the destination.
    Returns:
      the destination

  - ### setDestination

    public void setDestination​(String destination)
    Sets the destination.
    Parameters:
      `destination` - the new destination

  - ### getSourceSheetID

    public int getSourceSheetID()
    Gets the source sheet id.
    Returns:
      the source sheet id

  - ### setSourceSheetID

    public void setSourceSheetID​(int sourceSheetID)
    Sets the source sheet id.
    Parameters:
      `sourceSheetID` - the new source sheet id

  - ### isRevisionUndoRejected

    public boolean isRevisionUndoRejected()
    Checks if is revision undo rejected.
    Returns:
      true, if is revision undo rejected

  - ### setRevisionUndoRejected

    public void setRevisionUndoRejected​(boolean revisionUndoRejected)
    Sets the revision undo rejected.
    Parameters:
      `revisionUndoRejected` - the new revision undo rejected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isRevisionFromRejection

    public boolean isRevisionFromRejection()
    Checks if is revision from rejection.
    Returns:
      true, if is revision from rejection

  - ### setRevisionFromRejection

    public void setRevisionFromRejection​(boolean revisionFromRejection)
    Sets the revision from rejection.
    Parameters:
      `revisionFromRejection` - the new revision from rejection